From 2e325d2d1ddddc7e2b2b57f7cd9cfcfc443fc24e Mon Sep 17 00:00:00 2001
From: jona <jona.dem@gmail.com>
Date: Mon, 13 Jan 2020 22:15:16 +0100
Subject: [PATCH] Fix typos using codespell

Conservative strategy was used, maybe other typos remain.
---
 .../LwipMibCompiler/LwipMibCompiler/Program.cs |  4 ++--
 .../Mib/Elements/Types/Sequence.cs             |  2 +-
 .../LwipMibCompiler/SharpSnmpLib/Mib/Lexer.cs  |  2 +-
 .../SharpSnmpLib/Mib/MibModule.cs              |  4 ++--
 .../SharpSnmpLib/Mib/ValueMap.cs               |  2 +-
 contrib/apps/shell/shell.c                     |  2 +-
 contrib/apps/tcpecho_raw/tcpecho_raw.c         |  2 +-
 .../examples/httpd/post_example/post_example.c |  2 +-
 contrib/ports/unix/README                      |  2 +-
 contrib/ports/unix/lib/lwipopts.h              |  2 +-
 contrib/ports/unix/port/include/netif/fifo.h   |  2 +-
 contrib/ports/unix/port/include/netif/sio.h    |  2 +-
 contrib/ports/win32/pcapif.c                   |  2 +-
 src/api/api_msg.c                              |  6 +++---
 src/api/if_api.c                               |  2 +-
 src/api/netbuf.c                               |  2 +-
 src/apps/altcp_tls/altcp_tls_mbedtls.c         |  2 +-
 src/apps/http/altcp_proxyconnect.c             |  2 +-
 src/apps/http/http_client.c                    |  4 ++--
 src/apps/http/makefsdata/makefsdata.c          |  6 +++---
 src/apps/lwiperf/lwiperf.c                     |  2 +-
 src/apps/mdns/mdns.c                           | 18 +++++++++---------
 src/apps/mqtt/mqtt.c                           |  2 +-
 src/apps/smtp/smtp.c                           |  2 +-
 src/apps/snmp/snmp_core.c                      | 12 ++++++------
 src/apps/snmp/snmp_msg.c                       |  2 +-
 src/apps/tftp/tftp.c                           |  2 +-
 src/core/inet_chksum.c                         |  2 +-
 src/core/init.c                                |  2 +-
 src/core/ipv4/acd.c                            |  2 +-
 src/core/ipv4/etharp.c                         |  2 +-
 src/core/ipv6/dhcp6.c                          |  4 ++--
 src/core/ipv6/nd6.c                            |  2 +-
 src/core/tcp.c                                 |  4 ++--
 src/core/tcp_in.c                              |  2 +-
 src/core/tcp_out.c                             |  2 +-
 src/include/lwip/apps/httpd_opts.h             |  2 +-
 src/include/lwip/apps/mdns_priv.h              |  2 +-
 src/include/lwip/apps/netbiosns_opts.h         |  2 +-
 src/include/lwip/apps/snmp.h                   |  2 +-
 src/include/lwip/apps/snmp_mib2.h              |  2 +-
 src/include/lwip/apps/snmp_threadsync.h        |  2 +-
 src/include/lwip/arch.h                        |  4 ++--
 src/include/lwip/opt.h                         |  2 +-
 src/include/lwip/prot/acd.h                    |  2 +-
 src/include/netif/ppp/magic.h                  |  2 +-
 src/include/netif/ppp/ppp_impl.h               |  2 +-
 src/netif/ppp/chap_ms.c                        |  2 +-
 src/netif/ppp/ipcp.c                           |  4 ++--
 src/netif/ppp/ipv6cp.c                         |  2 +-
 src/netif/ppp/lcp.c                            |  2 +-
 src/netif/ppp/magic.c                          | 10 +++++-----
 src/netif/ppp/pppoe.c                          |  2 +-
 test/unit/api/test_sockets.c                   |  2 +-
 test/unit/dhcp/test_dhcp.c                     |  6 +++---
 test/unit/tcp/test_tcp.c                       |  2 +-
 56 files changed, 86 insertions(+), 86 deletions(-)

diff --git a/contrib/apps/LwipMibCompiler/LwipMibCompiler/Program.cs b/contrib/apps/LwipMibCompiler/LwipMibCompiler/Program.cs
index a00d74b1..5dff8405 100644
--- a/contrib/apps/LwipMibCompiler/LwipMibCompiler/Program.cs
+++ b/contrib/apps/LwipMibCompiler/LwipMibCompiler/Program.cs
@@ -361,7 +361,7 @@ namespace LwipMibCompiler
 			}
 			else
 			{
-				// not accessible or unsupported accress type
+				// not accessible or unsupported access type
 				return null;
 			}
 
@@ -434,7 +434,7 @@ namespace LwipMibCompiler
 				{
 					result.AugmentedTableRow = rot.Augments;
 
-					// the indeces from another table shall be used because this table is only an extension of it
+					// the indices from another table shall be used because this table is only an extension of it
 					rot = MibTypesResolver.ResolveDeclaration(rot.Module, rot.Augments) as ObjectType;
 				}
 
diff --git a/contrib/apps/LwipMibCompiler/SharpSnmpLib/Mib/Elements/Types/Sequence.cs b/contrib/apps/LwipMibCompiler/SharpSnmpLib/Mib/Elements/Types/Sequence.cs
index 0162de30..62912a51 100644
--- a/contrib/apps/LwipMibCompiler/SharpSnmpLib/Mib/Elements/Types/Sequence.cs
+++ b/contrib/apps/LwipMibCompiler/SharpSnmpLib/Mib/Elements/Types/Sequence.cs
@@ -11,7 +11,7 @@
 namespace Lextm.SharpSnmpLib.Mib.Elements.Types
 {
     /// <summary>
-    /// The SEQUENCE type represents a set of specified types. This is roughtly analogous to a <code>struct</code> in C.
+    /// The SEQUENCE type represents a set of specified types. This is roughly analogous to a <code>struct</code> in C.
     /// </summary>
     public sealed class Sequence : BaseType
     {
diff --git a/contrib/apps/LwipMibCompiler/SharpSnmpLib/Mib/Lexer.cs b/contrib/apps/LwipMibCompiler/SharpSnmpLib/Mib/Lexer.cs
index d54b9b93..5bf2844a 100644
--- a/contrib/apps/LwipMibCompiler/SharpSnmpLib/Mib/Lexer.cs
+++ b/contrib/apps/LwipMibCompiler/SharpSnmpLib/Mib/Lexer.cs
@@ -438,7 +438,7 @@ namespace Lextm.SharpSnmpLib.Mib
 
                 if (current == Symbol.DoubleDot)
                 {
-                    // its a continous range
+                    // its a continuous range
                     Symbol value2Symbol = symbols.NextNonEOLSymbol();
                     Int64? value2 = DecodeNumber(value2Symbol);
                     value2Symbol.Assert(value2.HasValue && (value2.Value >= value1.Value), "Invalid range declaration!");
diff --git a/contrib/apps/LwipMibCompiler/SharpSnmpLib/Mib/MibModule.cs b/contrib/apps/LwipMibCompiler/SharpSnmpLib/Mib/MibModule.cs
index 3c6b7707..cacfd045 100644
--- a/contrib/apps/LwipMibCompiler/SharpSnmpLib/Mib/MibModule.cs
+++ b/contrib/apps/LwipMibCompiler/SharpSnmpLib/Mib/MibModule.cs
@@ -197,11 +197,11 @@ namespace Lextm.SharpSnmpLib.Mib
                 Symbol s = symbols.NextSymbol();
                 if (s != null)
                 {
-                    s.Assert(false, "Invalid Entitiy declaration");
+                    s.Assert(false, "Invalid Entity declaration");
                 }
                 else
                 {
-                    throw new MibException("Invalid Entitiy declaration");
+                    throw new MibException("Invalid Entity declaration");
                 }
             }
 
diff --git a/contrib/apps/LwipMibCompiler/SharpSnmpLib/Mib/ValueMap.cs b/contrib/apps/LwipMibCompiler/SharpSnmpLib/Mib/ValueMap.cs
index 184dd580..48842356 100644
--- a/contrib/apps/LwipMibCompiler/SharpSnmpLib/Mib/ValueMap.cs
+++ b/contrib/apps/LwipMibCompiler/SharpSnmpLib/Mib/ValueMap.cs
@@ -10,7 +10,7 @@ namespace Lextm.SharpSnmpLib.Mib
 		}
 
 		/// <summary>
-		/// Returns the values of the map as continous range. At best as one range.
+		/// Returns the values of the map as continuous range. At best as one range.
 		/// </summary>
 		/// <returns></returns>
 		public ValueRanges GetContinousRanges()
diff --git a/contrib/apps/shell/shell.c b/contrib/apps/shell/shell.c
index a6a359cb..5ecbda0e 100644
--- a/contrib/apps/shell/shell.c
+++ b/contrib/apps/shell/shell.c
@@ -97,7 +97,7 @@ udpl [local UDP port] [IP address] [remote port]: opens a UDP-Lite \"connection\
 static char help_msg2[] = "udpn [local UDP port] [IP address] [remote port]: opens a UDP \"connection\" without checksums."NEWLINE"\
 udpb [local port] [remote port]: opens a UDP broadcast \"connection\"."NEWLINE"\
 usnd [connection #] [message]: sends a message on a UDP connection."NEWLINE"\
-recv [connection #]: recieves data on a TCP or UDP connection."NEWLINE"\
+recv [connection #]: receives data on a TCP or UDP connection."NEWLINE"\
 clos [connection #]: closes a TCP or UDP connection."NEWLINE"\
 stat: prints out lwIP statistics."NEWLINE"\
 idxtoname [index]: outputs interface name from index."NEWLINE"\
diff --git a/contrib/apps/tcpecho_raw/tcpecho_raw.c b/contrib/apps/tcpecho_raw/tcpecho_raw.c
index 016a7031..5a71d84b 100644
--- a/contrib/apps/tcpecho_raw/tcpecho_raw.c
+++ b/contrib/apps/tcpecho_raw/tcpecho_raw.c
@@ -236,7 +236,7 @@ tcpecho_raw_recv(void *arg, struct tcp_pcb *tpcb, struct pbuf *p, err_t err)
     }
     ret_err = ERR_OK;
   } else {
-    /* unkown es->state, trash data  */
+    /* unknown es->state, trash data  */
     tcp_recved(tpcb, p->tot_len);
     pbuf_free(p);
     ret_err = ERR_OK;
diff --git a/contrib/examples/httpd/post_example/post_example.c b/contrib/examples/httpd/post_example/post_example.c
index 110b3f12..6ed61999 100644
--- a/contrib/examples/httpd/post_example/post_example.c
+++ b/contrib/examples/httpd/post_example/post_example.c
@@ -133,7 +133,7 @@ httpd_post_receive_data(void *connection, struct pbuf *p)
       }
     }
     /* not returning ERR_OK aborts the connection, so return ERR_OK unless the
-       conenction is unknown */
+       connection is unknown */
     return ERR_OK;
   }
   return ERR_VAL;
diff --git a/contrib/ports/unix/README b/contrib/ports/unix/README
index 45d256dc..3b8f9957 100644
--- a/contrib/ports/unix/README
+++ b/contrib/ports/unix/README
@@ -1,5 +1,5 @@
 This port contains infrastructure and examples for running lwIP on Unix-like
-operating systems (Linux, OpenBSD, cygwin). Much of this is targetted towards
+operating systems (Linux, OpenBSD, cygwin). Much of this is targeted towards
 testing lwIP applications.
 
 * port/sys_arch.c, port/perf.c, port/include/arch/: Generic platform porting,
diff --git a/contrib/ports/unix/lib/lwipopts.h b/contrib/ports/unix/lib/lwipopts.h
index 734558a3..34d3a8cf 100644
--- a/contrib/ports/unix/lib/lwipopts.h
+++ b/contrib/ports/unix/lib/lwipopts.h
@@ -357,7 +357,7 @@
 
 /**
  * PBUF_POOL_BUFSIZE: the size of each pbuf in the pbuf pool. The default is
- * designed to accomodate single full size TCP frame in one pbuf, including
+ * designed to accommodate single full size TCP frame in one pbuf, including
  * TCP_MSS, IP header, and link header.
 *
  */
diff --git a/contrib/ports/unix/port/include/netif/fifo.h b/contrib/ports/unix/port/include/netif/fifo.h
index 6c2ad207..bda352a7 100644
--- a/contrib/ports/unix/port/include/netif/fifo.h
+++ b/contrib/ports/unix/port/include/netif/fifo.h
@@ -15,7 +15,7 @@ typedef struct fifo_t {
 
   sys_sem_t sem;		/* semaphore protecting simultaneous data manipulation */
   sys_sem_t getSem;		/* sepaphore used to signal new data if getWaiting is set */
-  u8_t getWaiting;		/* flag used to indicate that fifoget is waiting for data. fifoput is suposed to clear */
+  u8_t getWaiting;		/* flag used to indicate that fifoget is waiting for data. fifoput is supposed to clear */
   						/* this flag prior to signaling the getSem semaphore */
 } fifo_t;
 
diff --git a/contrib/ports/unix/port/include/netif/sio.h b/contrib/ports/unix/port/include/netif/sio.h
index 4822b536..b9ff131b 100644
--- a/contrib/ports/unix/port/include/netif/sio.h
+++ b/contrib/ports/unix/port/include/netif/sio.h
@@ -29,7 +29,7 @@ typedef enum sioBaudrates {
 s16_t sio_poll(sio_status_t * siostat);
 
 /**
-*	Parse incoming characters until a string str is recieved, blocking call
+*	Parse incoming characters until a string str is received, blocking call
 * @param	str		zero terminated string to expect
 * @param 	siostat siostatus struct, contains sio instance data, given by sio_open
 */
diff --git a/contrib/ports/win32/pcapif.c b/contrib/ports/win32/pcapif.c
index 36356ca5..b531e23e 100644
--- a/contrib/ports/win32/pcapif.c
+++ b/contrib/ports/win32/pcapif.c
@@ -172,7 +172,7 @@ struct pcapipf_pending_packet {
 };
 #endif /* PCAPIF_RECEIVE_PROMISCUOUS */
 
-/* Packet Adapter informations */
+/* Packet Adapter information */
 struct pcapif_private {
   void            *input_fn_arg;
   pcap_t          *adapter;
diff --git a/src/api/api_msg.c b/src/api/api_msg.c
index 4830a468..992c5651 100644
--- a/src/api/api_msg.c
+++ b/src/api/api_msg.c
@@ -469,7 +469,7 @@ err_tcp(void *arg, err_t err)
   }
   /* pass error message to acceptmbox to wake up pending accept */
   if (NETCONN_MBOX_VALID(conn, &conn->acceptmbox)) {
-    /* use trypost to preven deadlock */
+    /* use trypost to prevent deadlock */
     sys_mbox_trypost(&conn->acceptmbox, mbox_msg);
   }
 
@@ -492,7 +492,7 @@ err_tcp(void *arg, err_t err)
         conn->current_msg->err = err;
       }
       op_completed_sem = LWIP_API_MSG_SEM(conn->current_msg);
-      LWIP_ASSERT("inavlid op_completed_sem", sys_sem_valid(op_completed_sem));
+      LWIP_ASSERT("invalid op_completed_sem", sys_sem_valid(op_completed_sem));
       conn->current_msg = NULL;
       /* wake up the waiting task */
       sys_sem_signal(op_completed_sem);
@@ -976,7 +976,7 @@ lwip_netconn_do_close_internal(struct netconn *conn  WRITE_DELAYED_PARAM)
   /* Try to close the connection */
   if (shut_close) {
 #if LWIP_SO_LINGER
-    /* check linger possibilites before calling tcp_close */
+    /* check linger possibilities before calling tcp_close */
     err = ERR_OK;
     /* linger enabled/required at all? (i.e. is there untransmitted data left?) */
     if ((conn->linger >= 0) && (conn->pcb.tcp->unsent || conn->pcb.tcp->unacked)) {
diff --git a/src/api/if_api.c b/src/api/if_api.c
index 8e094d09..d274c323 100644
--- a/src/api/if_api.c
+++ b/src/api/if_api.c
@@ -77,7 +77,7 @@ lwip_if_indextoname(unsigned int ifindex, char *ifname)
 
 /**
  * @ingroup if_api
- * Returs the interface index corresponding to name ifname.
+ * Returns the interface index corresponding to name ifname.
  * @param ifname Interface name
  * @return The corresponding index if ifname is the name of an interface;
  * otherwise, zero.
diff --git a/src/api/netbuf.c b/src/api/netbuf.c
index d1f3a155..8f5be9e2 100644
--- a/src/api/netbuf.c
+++ b/src/api/netbuf.c
@@ -6,7 +6,7 @@
  * @ingroup netconn
  * Network buffer descriptor for @ref netconn. Based on @ref pbuf internally
  * to avoid copying data around.<br>
- * Buffers must not be shared accross multiple threads, all functions except
+ * Buffers must not be shared across multiple threads, all functions except
  * netbuf_new() and netbuf_delete() are not thread-safe.
  */
 
diff --git a/src/apps/altcp_tls/altcp_tls_mbedtls.c b/src/apps/altcp_tls/altcp_tls_mbedtls.c
index 8e449e63..7e72bdb6 100644
--- a/src/apps/altcp_tls/altcp_tls_mbedtls.c
+++ b/src/apps/altcp_tls/altcp_tls_mbedtls.c
@@ -1189,7 +1189,7 @@ altcp_mbedtls_sndbuf(struct altcp_pcb *conn)
           size_t max_len = 0xFFFF;
           size_t ret;
 #if defined(MBEDTLS_SSL_MAX_FRAGMENT_LENGTH)
-          /* @todo: adjust ssl_added to real value related to negociated cipher */
+          /* @todo: adjust ssl_added to real value related to negotiated cipher */
           size_t max_frag_len = mbedtls_ssl_get_max_frag_len(&state->ssl_context);
           max_len = LWIP_MIN(max_frag_len, max_len);
 #endif
diff --git a/src/apps/http/altcp_proxyconnect.c b/src/apps/http/altcp_proxyconnect.c
index 9a0b2ba1..3d5e7e83 100644
--- a/src/apps/http/altcp_proxyconnect.c
+++ b/src/apps/http/altcp_proxyconnect.c
@@ -133,7 +133,7 @@ altcp_proxyconnect_send_request(struct altcp_pcb *conn)
     /* overflow */
     return ERR_MEM;
   }
-  /* Allocate a bufer for the request string */
+  /* Allocate a buffer for the request string */
   buffer = (char *)mem_malloc(alloc_len);
   if (buffer == NULL) {
     return ERR_MEM;
diff --git a/src/apps/http/http_client.c b/src/apps/http/http_client.c
index 6fbb6915..fcf4901a 100644
--- a/src/apps/http/http_client.c
+++ b/src/apps/http/http_client.c
@@ -338,7 +338,7 @@ httpc_tcp_recv(void *arg, struct altcp_pcb *pcb, struct pbuf *p, err_t r)
   if ((p != NULL) && (req->parse_state == HTTPC_PARSE_RX_DATA)) {
     req->rx_content_len += p->tot_len;
     if (req->recv_fn != NULL) {
-      /* directly return here: the connection migth already be aborted from the callback! */
+      /* directly return here: the connection might already be aborted from the callback! */
       return req->recv_fn(req->callback_arg, pcb, p, r);
     } else {
       altcp_recved(pcb, p->tot_len);
@@ -718,7 +718,7 @@ typedef struct _httpc_filestate
 static void httpc_fs_result(void *arg, httpc_result_t httpc_result, u32_t rx_content_len,
   u32_t srv_res, err_t err);
 
-/** Initalize http client state for download to file system */
+/** Initialize http client state for download to file system */
 static err_t
 httpc_fs_init(httpc_filestate_t **filestate_out, const char* local_file_name,
               const httpc_connection_t *settings, void* callback_arg)
diff --git a/src/apps/http/makefsdata/makefsdata.c b/src/apps/http/makefsdata/makefsdata.c
index 7c38e223..81e3be48 100644
--- a/src/apps/http/makefsdata/makefsdata.c
+++ b/src/apps/http/makefsdata/makefsdata.c
@@ -21,7 +21,7 @@
 
 /** Makefsdata can generate *all* files deflate-compressed (where file size shrinks).
  * Since nearly all browsers support this, this is a good way to reduce ROM size.
- * To compress the files, "miniz.c" must be downloaded seperately.
+ * To compress the files, "miniz.c" must be downloaded separately.
  */
 #ifndef MAKEFS_SUPPORT_DEFLATE
 #define MAKEFS_SUPPORT_DEFLATE 0
@@ -259,7 +259,7 @@ int main(int argc, char *argv[])
         printf("Excluding files with extensions %s" NEWLINE, exclude_list);
       } else if (strstr(argv[i], "-xc:") == argv[i]) {
         ncompress_list = &argv[i][4];
-        printf("Skipping compresion for files with extensions %s" NEWLINE, ncompress_list);
+        printf("Skipping compression for files with extensions %s" NEWLINE, ncompress_list);
       } else if ((strstr(argv[i], "-?")) || (strstr(argv[i], "-h"))) {
         print_usage();
         exit(0);
@@ -639,7 +639,7 @@ static u8_t *get_file_data(const char *filename, int *file_size, int can_be_comp
           printf(" - uncompressed: (would be %d bytes larger using deflate)" NEWLINE, (int)(out_bytes - fsize));
         }
       } else {
-        printf(" - uncompressed: (file is larger than deflate bufer)" NEWLINE);
+        printf(" - uncompressed: (file is larger than deflate buffer)" NEWLINE);
       }
     } else {
       printf(" - cannot be compressed" NEWLINE);
diff --git a/src/apps/lwiperf/lwiperf.c b/src/apps/lwiperf/lwiperf.c
index 7449ded7..1b526df2 100644
--- a/src/apps/lwiperf/lwiperf.c
+++ b/src/apps/lwiperf/lwiperf.c
@@ -7,7 +7,7 @@
  * @defgroup iperf Iperf server
  * @ingroup apps
  *
- * This is a simple performance measuring client/server to check your bandwith using
+ * This is a simple performance measuring client/server to check your bandwidth using
  * iPerf2 on a PC as server/client.
  * It is currently a minimal implementation providing a TCP client/server only.
  *
diff --git a/src/apps/mdns/mdns.c b/src/apps/mdns/mdns.c
index b66d70aa..36238570 100644
--- a/src/apps/mdns/mdns.c
+++ b/src/apps/mdns/mdns.c
@@ -894,7 +894,7 @@ mdns_handle_probe_tiebreaking(struct netif *netif, struct mdns_packet *pkt)
     myprobe_questions_left = myprobe_inpkt.questions_left;
     /* Reset match flag */
     match = 0;
-    /* Search for a matching probe in the incomming packet */
+    /* Search for a matching probe in the incoming packet */
     while (pkt->questions_left) {
       /* Read probe questions one by one */
       res = mdns_read_question(pkt, &pkt_q);
@@ -1062,7 +1062,7 @@ cleanup:
 }
 
 /**
- * Check the incomming packet and parse all questions
+ * Check the incoming packet and parse all questions
  *
  * @param netif network interface of incoming packet
  * @param pkt   incoming packet
@@ -1111,7 +1111,7 @@ mdns_parse_pkt_questions(struct netif *netif, struct mdns_packet *pkt,
 }
 
 /**
- * Check the incomming packet and parse all (known) answers
+ * Check the incoming packet and parse all (known) answers
  *
  * @param netif network interface of incoming packet
  * @param pkt   incoming packet
@@ -1283,7 +1283,7 @@ mdns_parse_pkt_known_answers(struct netif *netif, struct mdns_packet *pkt,
 }
 
 /**
- * Check the incomming packet and parse all authoritative answers to see if the
+ * Check the incoming packet and parse all authoritative answers to see if the
  * query is a probe query.
  *
  * @param netif network interface of incoming packet
@@ -1731,7 +1731,7 @@ mdns_handle_tc_question(void *arg)
  * Save time when a probe conflict occurs:
  *  - Check if we exceeded the maximum of 15 conflicts in 10seconds.
  *
- * @param netif network interface on which the conflict occured.
+ * @param netif network interface on which the conflict occurred.
  */
 static void
 mdns_conflict_save_time(struct netif *netif)
@@ -1741,7 +1741,7 @@ mdns_conflict_save_time(struct netif *netif)
   u32_t diff;
   u8_t index2;
 
-  /* Increase the number of conflicts occured */
+  /* Increase the number of conflicts occurred */
   mdns->num_conflicts++;
   mdns->conflict_time[mdns->index] = sys_now();
   /* Print timestamp list */
@@ -1770,8 +1770,8 @@ mdns_conflict_save_time(struct netif *netif)
  *  - Check if we exceeded the maximum of 15 conflicts in 10seconds.
  *  - Let the user know there is a conflict.
  *
- * @param netif network interface on which the conflict occured.
- * @param slot service index +1 on which the conflict occured (0 indicate hostname conflict).
+ * @param netif network interface on which the conflict occurred.
+ * @param slot service index +1 on which the conflict occurred (0 indicate hostname conflict).
  */
 static void
 mdns_probe_conflict(struct netif *netif, s8_t slot)
@@ -2319,7 +2319,7 @@ mdns_probe_and_announce(void* arg)
     case MDNS_STATE_ANNOUNCE_WAIT:
     case MDNS_STATE_ANNOUNCING:
       if (mdns->sent_num == 0) {
-        /* probing was succesful, announce all records */
+        /* probing was successful, announce all records */
         mdns->state = MDNS_STATE_ANNOUNCING;
         /* Reset rate limit max probe conflict timeout flag */
         mdns->rate_limit_activated = 0;
diff --git a/src/apps/mqtt/mqtt.c b/src/apps/mqtt/mqtt.c
index 76c6bbc7..153cf746 100644
--- a/src/apps/mqtt/mqtt.c
+++ b/src/apps/mqtt/mqtt.c
@@ -1169,7 +1169,7 @@ mqtt_publish(mqtt_client_t *client, const char *topic, const void *payload, u16_
  * @param client MQTT client
  * @param topic topic to subscribe to
  * @param qos Quality of service, 0 1 or 2 (only used for subscribe)
- * @param cb Callback to call when subscribe/unsubscribe reponse is received
+ * @param cb Callback to call when subscribe/unsubscribe response is received
  * @param arg User supplied argument to publish callback
  * @param sub 1 for subscribe, 0 for unsubscribe
  * @return ERR_OK if successful, @see err_t enum for other results
diff --git a/src/apps/smtp/smtp.c b/src/apps/smtp/smtp.c
index a87b1761..a1780bda 100644
--- a/src/apps/smtp/smtp.c
+++ b/src/apps/smtp/smtp.c
@@ -577,7 +577,7 @@ leave:
  * @param body email body (must be NULL-terminated)
  * @param callback_fn callback function
  * @param callback_arg user argument to callback_fn
- * @returns - ERR_OK if structures were allocated and no error occured starting the connection
+ * @returns - ERR_OK if structures were allocated and no error occurred starting the connection
  *            (this does not mean the email has been successfully sent!)
  *          - another err_t on error.
  */
diff --git a/src/apps/snmp/snmp_core.c b/src/apps/snmp/snmp_core.c
index fff32e97..3f15e789 100644
--- a/src/apps/snmp/snmp_core.c
+++ b/src/apps/snmp/snmp_core.c
@@ -111,7 +111,7 @@
  *   tables is not possible.
  *
  *   Note lwIP has a very limited notion of IP routing. It currently
- *   doen't have a route table and doesn't have a notion of the U,G,H flags.
+ *   doesn't have a route table and doesn't have a notion of the U,G,H flags.
  *   Instead lwIP uses the interface list with only one default interface
  *   acting as a single gateway interface (G) for the default route.
  *
@@ -934,7 +934,7 @@ snmp_get_next_node_instance_from_oid(const u32_t *oid, u8_t oid_len, snmp_valida
       /*
       there is no further (suitable) node inside this MIB, search for the next MIB with following priority
       1. search for inner MIB's (whose root is located inside tree of current MIB)
-      2. search for surrouding MIB's (where the current MIB is the inner MIB) and continue there if any
+      2. search for surrounding MIB's (where the current MIB is the inner MIB) and continue there if any
       3. take the next closest MIB (not being related to the current MIB)
       */
       const struct snmp_mib *next_mib;
@@ -1053,7 +1053,7 @@ snmp_mib_tree_resolve_next(const struct snmp_mib *mib, const u32_t *oid, u8_t oi
 
 
   if (oid_offset >= oid_len) {
-    /* passed oid references a tree node -> return first useable sub node of it */
+    /* passed oid references a tree node -> return first usable sub node of it */
     subnode_oid = 0;
   } else {
     subnode_oid = *(oid + oid_offset) + 1;
@@ -1123,7 +1123,7 @@ snmp_next_oid_init(struct snmp_next_oid_state *state,
 }
 
 /** checks if the passed incomplete OID may be a possible candidate for snmp_next_oid_check();
-this methid is intended if the complete OID is not yet known but it is very expensive to build it up,
+this method is intended if the complete OID is not yet known but it is very expensive to build it up,
 so it is possible to test the starting part before building up the complete oid and pass it to snmp_next_oid_check()*/
 u8_t
 snmp_next_oid_precheck(struct snmp_next_oid_state *state, const u32_t *oid, u8_t oid_len)
@@ -1279,9 +1279,9 @@ snmp_decode_truthvalue(const s32_t *asn1_value, u8_t *bool_value)
  * get/test/set methods.
  *
  * @param buf points to a buffer where the resulting ASN1 octet string is stored to
- * @param buf_len max length of the bufffer
+ * @param buf_len max length of the buffer
  * @param bit_value Bit value to encode with Bit0 == LSB
- * @param bit_count Number of possible bits for the bit value (according to rfc we have to send all bits independant from their truth value)
+ * @param bit_count Number of possible bits for the bit value (according to rfc we have to send all bits independent from their truth value)
  * @return number of bytes used from buffer to store the resulting OctetString
  */
 u8_t
diff --git a/src/apps/snmp/snmp_msg.c b/src/apps/snmp/snmp_msg.c
index 8b2b8a82..3d04094e 100644
--- a/src/apps/snmp/snmp_msg.c
+++ b/src/apps/snmp/snmp_msg.c
@@ -1779,7 +1779,7 @@ snmp_complete_outbound_frame(struct snmp_request *request)
     if (request->error_status == SNMP_ERR_TOOBIG) {
       request->error_index = 0; /* defined by RFC 1157 */
     } else if (request->error_index == 0) {
-      /* set index to varbind where error occured (if not already set before, e.g. during GetBulk processing) */
+      /* set index to varbind where error occurred (if not already set before, e.g. during GetBulk processing) */
       request->error_index = request->inbound_varbind_enumerator.varbind_count;
     }
   } else {
diff --git a/src/apps/tftp/tftp.c b/src/apps/tftp/tftp.c
index d4c46890..8147cafb 100644
--- a/src/apps/tftp/tftp.c
+++ b/src/apps/tftp/tftp.c
@@ -230,7 +230,7 @@ send_data(const ip_addr_t *addr, u16_t port)
 
   ret = tftp_state.ctx->read(tftp_state.handle, &payload[2], TFTP_MAX_PAYLOAD_SIZE);
   if (ret < 0) {
-    send_error(addr, port, TFTP_ERROR_ACCESS_VIOLATION, "Error occured while reading the file.");
+    send_error(addr, port, TFTP_ERROR_ACCESS_VIOLATION, "Error occurred while reading the file.");
     close_handle();
     return;
   }
diff --git a/src/core/inet_chksum.c b/src/core/inet_chksum.c
index 04a7ebe2..6a343ed7 100644
--- a/src/core/inet_chksum.c
+++ b/src/core/inet_chksum.c
@@ -74,7 +74,7 @@ u16_t lwip_standard_chksum(const void *dataptr, int len);
  * @return host order (!) lwip checksum (non-inverted Internet sum)
  *
  * @note accumulator size limits summable length to 64k
- * @note host endianess is irrelevant (p3 RFC1071)
+ * @note host endianness is irrelevant (p3 RFC1071)
  */
 u16_t
 lwip_standard_chksum(const void *dataptr, int len)
diff --git a/src/core/init.c b/src/core/init.c
index f6d36691..928659da 100644
--- a/src/core/init.c
+++ b/src/core/init.c
@@ -127,7 +127,7 @@ PACK_STRUCT_END
 #endif
 /* There must be sufficient timeouts, taking into account requirements of the subsystems. */
 #if LWIP_TIMERS && (MEMP_NUM_SYS_TIMEOUT < LWIP_NUM_SYS_TIMEOUT_INTERNAL)
-#error "MEMP_NUM_SYS_TIMEOUT is too low to accomodate all required timeouts"
+#error "MEMP_NUM_SYS_TIMEOUT is too low to accommodate all required timeouts"
 #endif
 #if (IP_REASSEMBLY && (MEMP_NUM_REASSDATA > IP_REASS_MAX_PBUFS))
 #error "MEMP_NUM_REASSDATA > IP_REASS_MAX_PBUFS doesn't make sense since each struct ip_reassdata must hold 2 pbufs at least!"
diff --git a/src/core/ipv4/acd.c b/src/core/ipv4/acd.c
index bd75925e..d1ae55e1 100644
--- a/src/core/ipv4/acd.c
+++ b/src/core/ipv4/acd.c
@@ -430,7 +430,7 @@ acd_handle_arp_conflict(struct netif *netif, struct acd *acd)
      the netif but the LL address is still open in the background. */
 
   if (acd->state == ACD_STATE_PASSIVE_ONGOING) {
-    /* Imediatly back off on a conflict. */
+    /* Immediately back off on a conflict. */
     LWIP_DEBUGF(ACD_DEBUG | LWIP_DBG_TRACE | LWIP_DBG_STATE,
       ("acd_handle_arp_conflict(): conflict when we are in passive mode -> back off\n"));
     acd_stop(acd);
diff --git a/src/core/ipv4/etharp.c b/src/core/ipv4/etharp.c
index 9d7bf299..26dde61c 100644
--- a/src/core/ipv4/etharp.c
+++ b/src/core/ipv4/etharp.c
@@ -7,7 +7,7 @@
  * requests from other machines for our physical address.
  *
  * This implementation complies with RFC 826 (Ethernet ARP). It supports
- * Gratuitious ARP from RFC3220 (IP Mobility Support for IPv4) section 4.6
+ * Gratuitous ARP from RFC3220 (IP Mobility Support for IPv4) section 4.6
  * if an interface calls etharp_gratuitous(our_netif) upon address change.
  */
 
diff --git a/src/core/ipv6/dhcp6.c b/src/core/ipv6/dhcp6.c
index 002f688d..ecf569a8 100644
--- a/src/core/ipv6/dhcp6.c
+++ b/src/core/ipv6/dhcp6.c
@@ -579,7 +579,7 @@ dhcp6_handle_config_reply(struct netif *netif, struct pbuf *p_msg_in)
 }
 #endif /* LWIP_IPV6_DHCP6_STATELESS */
 
-/** This function is called from nd6 module when an RA messsage is received
+/** This function is called from nd6 module when an RA message is received
  * It triggers DHCPv6 requests (if enabled).
  */
 void
@@ -645,7 +645,7 @@ dhcp6_parse_reply(struct pbuf *p, struct dhcp6 *dhcp6)
       /* overflow */
       return ERR_BUF;
     }
-    /* copy option + length, might be split accross pbufs */
+    /* copy option + length, might be split across pbufs */
     op_len = (u8_t *)pbuf_get_contiguous(p, op_len_buf, 4, 4, offset);
     if (op_len == NULL) {
       /* failed to get option and length */
diff --git a/src/core/ipv6/nd6.c b/src/core/ipv6/nd6.c
index 9cafd483..abc98cd9 100644
--- a/src/core/ipv6/nd6.c
+++ b/src/core/ipv6/nd6.c
@@ -1165,7 +1165,7 @@ nd6_tmr(void)
 
 /** Send a neighbor solicitation message for a specific neighbor cache entry
  *
- * @param entry the neightbor cache entry for wich to send the message
+ * @param entry the neightbor cache entry for which to send the message
  * @param flags one of ND6_SEND_FLAG_*
  */
 static void
diff --git a/src/core/tcp.c b/src/core/tcp.c
index d34f0e8c..b1481792 100644
--- a/src/core/tcp.c
+++ b/src/core/tcp.c
@@ -502,7 +502,7 @@ tcp_close(struct tcp_pcb *pcb)
  * @ingroup tcp_raw
  * Causes all or part of a full-duplex connection of this PCB to be shut down.
  * This doesn't deallocate the PCB unless shutting down both sides!
- * Shutting down both sides is the same as calling tcp_close, so if it succeds
+ * Shutting down both sides is the same as calling tcp_close, so if it succeeds
  * (i.e. returns ER_OK), the PCB must not be referenced any more!
  *
  * @param pcb PCB to shutdown
@@ -1908,7 +1908,7 @@ tcp_alloc(u8_t prio)
     pcb->tmr = tcp_ticks;
     pcb->last_timer = tcp_timer_ctr;
 
-    /* RFC 5681 recommends setting ssthresh abritrarily high and gives an example
+    /* RFC 5681 recommends setting ssthresh arbitrarily high and gives an example
     of using the largest advertised receive window.  We've seen complications with
     receiving TCPs that use window scaling and/or window auto-tuning where the
     initial advertised window is very small and then grows rapidly once the
diff --git a/src/core/tcp_in.c b/src/core/tcp_in.c
index b6a4e4af..4bfba85f 100644
--- a/src/core/tcp_in.c
+++ b/src/core/tcp_in.c
@@ -592,7 +592,7 @@ dropped:
 }
 
 /** Called from tcp_input to check for TF_CLOSED flag. This results in closing
- * and deallocating a pcb at the correct place to ensure noone references it
+ * and deallocating a pcb at the correct place to ensure no one references it
  * any more.
  * @returns 1 if the pcb has been closed and deallocated, 0 otherwise
  */
diff --git a/src/core/tcp_out.c b/src/core/tcp_out.c
index a00ce23f..7d7ea5ee 100644
--- a/src/core/tcp_out.c
+++ b/src/core/tcp_out.c
@@ -106,7 +106,7 @@
 #endif /* TCP_CHECKSUM_ON_COPY*/
 
 /** Define this to 1 for an extra check that the output checksum is valid
- * (usefule when the checksum is generated by the application, not the stack) */
+ * (useful when the checksum is generated by the application, not the stack) */
 #ifndef TCP_CHECKSUM_ON_COPY_SANITY_CHECK
 #define TCP_CHECKSUM_ON_COPY_SANITY_CHECK   0
 #endif
diff --git a/src/include/lwip/apps/httpd_opts.h b/src/include/lwip/apps/httpd_opts.h
index 573eb86c..4fae46fe 100644
--- a/src/include/lwip/apps/httpd_opts.h
+++ b/src/include/lwip/apps/httpd_opts.h
@@ -94,7 +94,7 @@
  *
  * To save memory, the maximum tag length is limited (@see LWIP_HTTPD_MAX_TAG_NAME_LEN).
  * To save memory, the maximum insertion string length is limited (@see
- * LWIP_HTTPD_MAX_TAG_INSERT_LEN). If this is not enought, @ref LWIP_HTTPD_SSI_MULTIPART
+ * LWIP_HTTPD_MAX_TAG_INSERT_LEN). If this is not enough, @ref LWIP_HTTPD_SSI_MULTIPART
  * can be used.
  */
 #if !defined LWIP_HTTPD_SSI || defined __DOXYGEN__
diff --git a/src/include/lwip/apps/mdns_priv.h b/src/include/lwip/apps/mdns_priv.h
index 10f44e8b..5209ba00 100644
--- a/src/include/lwip/apps/mdns_priv.h
+++ b/src/include/lwip/apps/mdns_priv.h
@@ -143,7 +143,7 @@ struct mdns_outmsg {
   /** If legacy query. (tx_id needed, and write
    *  question again in reply before answer) */
   u8_t legacy_query;
-  /** If the query is a probe msg we need to respond immediatly. Independent of
+  /** If the query is a probe msg we need to respond immediately. Independent of
    *  the QU or QM flag. */
   u8_t probe_query_recv;
   /* Question bitmask for host information */
diff --git a/src/include/lwip/apps/netbiosns_opts.h b/src/include/lwip/apps/netbiosns_opts.h
index 1f51ab02..cc0da952 100644
--- a/src/include/lwip/apps/netbiosns_opts.h
+++ b/src/include/lwip/apps/netbiosns_opts.h
@@ -42,7 +42,7 @@
 
 /** NetBIOS name of lwip device
  * This must be uppercase until NETBIOS_STRCMP() is defined to a string
- * comparision function that is case insensitive.
+ * comparison function that is case insensitive.
  * If you want to use the netif's hostname, use this (with LWIP_NETIF_HOSTNAME):
  * (ip_current_netif() != NULL ? ip_current_netif()->hostname != NULL ? ip_current_netif()->hostname : "" : "")
  *
diff --git a/src/include/lwip/apps/snmp.h b/src/include/lwip/apps/snmp.h
index db9f51b8..dc5bb0d0 100644
--- a/src/include/lwip/apps/snmp.h
+++ b/src/include/lwip/apps/snmp.h
@@ -50,7 +50,7 @@ extern "C" {
 #include "lwip/err.h"
 #include "lwip/apps/snmp_core.h"
 
-/** SNMP variable binding descriptor (publically needed for traps) */
+/** SNMP variable binding descriptor (publicly needed for traps) */
 struct snmp_varbind
 {
   /** pointer to next varbind, NULL for last in list */
diff --git a/src/include/lwip/apps/snmp_mib2.h b/src/include/lwip/apps/snmp_mib2.h
index 2f4a6893..453e5195 100644
--- a/src/include/lwip/apps/snmp_mib2.h
+++ b/src/include/lwip/apps/snmp_mib2.h
@@ -60,7 +60,7 @@ extern struct snmp_threadsync_instance snmp_mib2_lwip_locks;
 #define SNMP_SYSSERVICES ((1 << 6) | (1 << 3) | ((IP_FORWARD) << 2))
 #endif
 
-void snmp_mib2_set_sysdescr(const u8_t* str, const u16_t* len); /* read-only be defintion */
+void snmp_mib2_set_sysdescr(const u8_t* str, const u16_t* len); /* read-only be definition */
 void snmp_mib2_set_syscontact(u8_t *ocstr, u16_t *ocstrlen, u16_t bufsize);
 void snmp_mib2_set_syscontact_readonly(const u8_t *ocstr, const u16_t *ocstrlen);
 void snmp_mib2_set_sysname(u8_t *ocstr, u16_t *ocstrlen, u16_t bufsize);
diff --git a/src/include/lwip/apps/snmp_threadsync.h b/src/include/lwip/apps/snmp_threadsync.h
index a25dbf2d..76f11182 100644
--- a/src/include/lwip/apps/snmp_threadsync.h
+++ b/src/include/lwip/apps/snmp_threadsync.h
@@ -72,7 +72,7 @@ struct threadsync_data
   struct snmp_node_instance proxy_instance;
 };
 
-/** Thread sync instance. Needed EXCATLY once for every thread to be synced into. */
+/** Thread sync instance. Needed EXACTLY once for every thread to be synced into. */
 struct snmp_threadsync_instance
 {
   sys_sem_t                       sem;
diff --git a/src/include/lwip/arch.h b/src/include/lwip/arch.h
index 599b658f..fb1508c7 100644
--- a/src/include/lwip/arch.h
+++ b/src/include/lwip/arch.h
@@ -74,7 +74,7 @@
 
 /** Platform specific diagnostic output.<br>
  * Note the default implementation pulls in printf, which may
- * in turn pull in a lot of standard libary code. In resource-constrained
+ * in turn pull in a lot of standard library code. In resource-constrained
  * systems, this should be defined to something less resource-consuming.
  */
 #ifndef LWIP_PLATFORM_DIAG
@@ -85,7 +85,7 @@
 
 /** Platform specific assertion handling.<br>
  * Note the default implementation pulls in printf, fflush and abort, which may
- * in turn pull in a lot of standard libary code. In resource-constrained
+ * in turn pull in a lot of standard library code. In resource-constrained
  * systems, this should be defined to something less resource-consuming.
  */
 #ifndef LWIP_PLATFORM_ASSERT
diff --git a/src/include/lwip/opt.h b/src/include/lwip/opt.h
index 488adf63..879a067c 100644
--- a/src/include/lwip/opt.h
+++ b/src/include/lwip/opt.h
@@ -2832,7 +2832,7 @@
  *         the first 'opt1len' bytes and the rest starts at 'opt2'. opt2len can
  *         be simply calculated: 'opt2len = optlen - opt1len;'
  * - p: input packet, p->payload points to application data (that's why tcp hdr
- *      and options are passed in seperately)
+ *      and options are passed in separately)
  * Return value:
  * - ERR_OK: continue input of this packet as normal
  * - != ERR_OK: drop this packet for input (don't continue input processing)
diff --git a/src/include/lwip/prot/acd.h b/src/include/lwip/prot/acd.h
index e6f0dc80..860cae5b 100644
--- a/src/include/lwip/prot/acd.h
+++ b/src/include/lwip/prot/acd.h
@@ -73,7 +73,7 @@ typedef enum {
    * that stay active even if the netif has a routable address selected.
    * In such a case, we cannot defend our address */
   ACD_STATE_PASSIVE_ONGOING,
-  /* To many conflicts occured, we need to wait before restarting the selection
+  /* To many conflicts occurred, we need to wait before restarting the selection
    * process */
   ACD_STATE_RATE_LIMIT
 } acd_state_enum_t;
diff --git a/src/include/netif/ppp/magic.h b/src/include/netif/ppp/magic.h
index a165e18f..12a002cd 100644
--- a/src/include/netif/ppp/magic.h
+++ b/src/include/netif/ppp/magic.h
@@ -94,7 +94,7 @@ extern "C" {
 void magic_init(void);
 
 /*
- * Randomize our random seed value.  To be called for truely random events
+ * Randomize our random seed value.  To be called for truly random events
  * such as user operations and network traffic.
  */
 void magic_randomize(void);
diff --git a/src/include/netif/ppp/ppp_impl.h b/src/include/netif/ppp/ppp_impl.h
index 40843d5a..c84160dc 100644
--- a/src/include/netif/ppp/ppp_impl.h
+++ b/src/include/netif/ppp/ppp_impl.h
@@ -265,7 +265,7 @@ extern int       maxoctets_timeout;  /* Timeout for check of octets limit */
 #define PPP_OCTETS_DIRECTION_IN         1
 #define PPP_OCTETS_DIRECTION_OUT        2
 #define PPP_OCTETS_DIRECTION_MAXOVERAL  3
-/* same as previos, but little different on RADIUS side */
+/* same as previous, but little different on RADIUS side */
 #define PPP_OCTETS_DIRECTION_MAXSESSION 4
 #endif
 
diff --git a/src/netif/ppp/chap_ms.c b/src/netif/ppp/chap_ms.c
index 5a989c9b..b4d7c7fb 100644
--- a/src/netif/ppp/chap_ms.c
+++ b/src/netif/ppp/chap_ms.c
@@ -33,7 +33,7 @@
  *
  *   Implemented LANManager type password response to MS-CHAP challenges.
  *   Now pppd provides both NT style and LANMan style blocks, and the
- *   prefered is set by option "ms-lanman". Default is to use NT.
+ *   preferred is set by option "ms-lanman". Default is to use NT.
  *   The hash text (StdText) was taken from Win95 RASAPI32.DLL.
  *
  *   You should also use DOMAIN\\USERNAME as described in README.MSCHAP80
diff --git a/src/netif/ppp/ipcp.c b/src/netif/ppp/ipcp.c
index b7c766eb..a9c0f1f7 100644
--- a/src/netif/ppp/ipcp.c
+++ b/src/netif/ppp/ipcp.c
@@ -1537,7 +1537,7 @@ static int ipcp_reqci(fsm *f, u_char *inp, int *len, int reject_if_disagree) {
     next = inp;
     while (l) {
 	orc = CONFACK;			/* Assume success */
-	cip = p = next;			/* Remember begining of CI */
+	cip = p = next;			/* Remember beginning of CI */
 	if (l < 2 ||			/* Not enough data for CI header or */
 	    p[1] < 2 ||			/*  CI length too small or */
 	    p[1] > l) {			/*  CI length too big? */
@@ -1589,7 +1589,7 @@ static int ipcp_reqci(fsm *f, u_char *inp, int *len, int reject_if_disagree) {
 	     * If he doesn't know our address, or if we both have our address
 	     * but disagree about it, then NAK it with our idea.
 	     */
-	    GETLONG(tl, p);		/* Parse desination address (ours) */
+	    GETLONG(tl, p);		/* Parse destination address (ours) */
 	    ciaddr2 = lwip_htonl(tl);
 	    if (ciaddr2 != wo->ouraddr) {
 		if (ciaddr2 == 0 || !wo->accept_local) {
diff --git a/src/netif/ppp/ipv6cp.c b/src/netif/ppp/ipv6cp.c
index 11c18df7..34134e46 100644
--- a/src/netif/ppp/ipv6cp.c
+++ b/src/netif/ppp/ipv6cp.c
@@ -913,7 +913,7 @@ static int ipv6cp_reqci(fsm *f, u_char *inp, int *len, int reject_if_disagree) {
     next = inp;
     while (l) {
 	orc = CONFACK;			/* Assume success */
-	cip = p = next;			/* Remember begining of CI */
+	cip = p = next;			/* Remember beginning of CI */
 	if (l < 2 ||			/* Not enough data for CI header or */
 	    p[1] < 2 ||			/*  CI length too small or */
 	    p[1] > l) {			/*  CI length too big? */
diff --git a/src/netif/ppp/lcp.c b/src/netif/ppp/lcp.c
index 90ed183b..12df8aa2 100644
--- a/src/netif/ppp/lcp.c
+++ b/src/netif/ppp/lcp.c
@@ -1855,7 +1855,7 @@ static int lcp_reqci(fsm *f, u_char *inp, int *lenp, int reject_if_disagree) {
     rejp = inp;
     while (l) {
 	orc = CONFACK;			/* Assume success */
-	cip = p = next;			/* Remember begining of CI */
+	cip = p = next;			/* Remember beginning of CI */
 	if (l < 2 ||			/* Not enough data for CI header or */
 	    p[1] < 2 ||			/*  CI length too small or */
 	    p[1] > l) {			/*  CI length too big? */
diff --git a/src/netif/ppp/magic.c b/src/netif/ppp/magic.c
index d0d87c5e..21911af9 100644
--- a/src/netif/ppp/magic.c
+++ b/src/netif/ppp/magic.c
@@ -196,7 +196,7 @@ u32_t magic(void) {
 /*** LOCAL DATA STRUCTURES ***/
 /*****************************/
 #ifndef LWIP_RAND
-static int  magic_randomized;       /* Set when truely randomized. */
+static int  magic_randomized;       /* Set when truly randomized. */
 #endif /* LWIP_RAND */
 static u32_t magic_randomseed;      /* Seed used for random number generation. */
 
@@ -231,7 +231,7 @@ void magic_init(void) {
  * magic_init - Initialize the magic number generator.
  *
  * Randomize our random seed value.  Here we use the fact that
- * this function is called at *truely random* times by the polling
+ * this function is called at *truly random* times by the polling
  * and network functions.  Here we only get 16 bits of new random
  * value but we use the previous value to randomize the other 16
  * bits.
@@ -254,9 +254,9 @@ void magic_randomize(void) {
  * Return a new random number.
  *
  * Here we use the Borland rand() function to supply a pseudo random
- * number which we make truely random by combining it with our own
- * seed which is randomized by truely random events.
- * Thus the numbers will be truely random unless there have been no
+ * number which we make truly random by combining it with our own
+ * seed which is randomized by truly random events.
+ * Thus the numbers will be truly random unless there have been no
  * operator or network events in which case it will be pseudo random
  * seeded by the real time clock.
  */
diff --git a/src/netif/ppp/pppoe.c b/src/netif/ppp/pppoe.c
index 971b36b3..6e90c869 100644
--- a/src/netif/ppp/pppoe.c
+++ b/src/netif/ppp/pppoe.c
@@ -132,7 +132,7 @@ static void pppoe_clear_softc(struct pppoe_softc *, const char *);
 /* internal timeout handling */
 static void pppoe_timeout(void *);
 
-/* sending actual protocol controll packets */
+/* sending actual protocol control packets */
 static err_t pppoe_send_padi(struct pppoe_softc *);
 static err_t pppoe_send_padr(struct pppoe_softc *);
 #ifdef PPPOE_SERVER
diff --git a/test/unit/api/test_sockets.c b/test/unit/api/test_sockets.c
index aca31f6e..3faa5ff9 100644
--- a/test/unit/api/test_sockets.c
+++ b/test/unit/api/test_sockets.c
@@ -254,7 +254,7 @@ static void test_sockets_msgapi_update_iovs(struct msghdr *msg, size_t bytes)
 
   /* note: this modifies the underyling iov_base and iov_len for a partial
      read for an individual vector. This updates the msg->msg_iov pointer
-     to skip fully consumed vecotrs */
+     to skip fully consumed vectors */
   
   /* process fully consumed vectors */
   for (i = 0; i < msg->msg_iovlen; i++) {
diff --git a/test/unit/dhcp/test_dhcp.c b/test/unit/dhcp/test_dhcp.c
index d9a48591..f838b42d 100644
--- a/test/unit/dhcp/test_dhcp.c
+++ b/test/unit/dhcp/test_dhcp.c
@@ -297,7 +297,7 @@ static err_t lwip_tx_func(struct netif *netif, struct pbuf *p)
 
         check_pkt(p, 278, magic_cookie, sizeof(magic_cookie));
 
-        /* Check dchp message type, can be at different positions */
+        /* Check dhcp message type, can be at different positions */
         if (txpacket == 1) {
           u8_t dhcp_discover_opt[] = { 0x35, 0x01, 0x01 };
           check_pkt_fuzzy(p, 282, dhcp_discover_opt, sizeof(dhcp_discover_opt));
@@ -390,7 +390,7 @@ static err_t lwip_tx_func(struct netif *netif, struct pbuf *p)
 
         check_pkt(p, 278, magic_cookie, sizeof(magic_cookie));
 
-        /* Check dchp message type, can be at different positions */
+        /* Check dhcp message type, can be at different positions */
         if (txpacket == 1) {
           u8_t dhcp_discover_opt[] = { 0x35, 0x01, 0x01 };
           check_pkt_fuzzy(p, 282, dhcp_discover_opt, sizeof(dhcp_discover_opt));
@@ -449,7 +449,7 @@ static err_t lwip_tx_func(struct netif *netif, struct pbuf *p)
 
         check_pkt(p, 278, magic_cookie, sizeof(magic_cookie));
 
-        /* Check dchp message type, can be at different positions */
+        /* Check dhcp message type, can be at different positions */
         check_pkt_fuzzy(p, 282, dhcp_request_opt, sizeof(dhcp_request_opt));
         break;
       }
diff --git a/test/unit/tcp/test_tcp.c b/test/unit/tcp/test_tcp.c
index 89ea0309..3560879a 100644
--- a/test/unit/tcp/test_tcp.c
+++ b/test/unit/tcp/test_tcp.c
@@ -1607,7 +1607,7 @@ START_TEST(test_tcp_persist_split)
 #if TCP_OVERSIZE_DBGCHECK
   /* Split segment already transmitted, should be at 0 */
   EXPECT(pcb->unacked->oversize_left == 0);
-  /* Remainder segement should match pcb value (which is 0) */
+  /* Remainder segment should match pcb value (which is 0) */
   EXPECT(pcb->unsent->oversize_left == pcb->unsent_oversize);
 #endif /* TCP_OVERSIZE_DBGCHECK */
 #endif /* TCP_OVERSIZE */
-- 
2.20.1

